#ifndef _PGM_H_INCLUDED_
#define _PGM_H_INCLUDED_

#ifdef __cplusplus
extern "C"
{
#endif

int load_pgm_file(const char *fileName, unsigned char **image, int *width, int *height);
int write_pgmb_file(const char *fileName, const unsigned char *image, int width, int height);

#ifdef __cplusplus
}
#endif

#endif
